# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'conjur-asset-pubkeys-version'

Gem::Specification.new do |spec|
  spec.name          = "conjur-asset-pubkeys-api"
  spec.version       = Conjur::Asset::Pubkeys::VERSION
  spec.authors       = ["Jon Mason"]
  spec.email         = ["jon@conjur.net"]
  spec.homepage      = "http://conjur.net"
  spec.summary       = "Conjur asset plugin for a public key store."
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "conjur-api"

  spec.add_development_dependency "conjur-cli"
  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "simplecov"
  spec.add_development_dependency "spork"
  spec.add_development_dependency "ci_reporter"
end
